# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..10\n"; }
END {print "not ok 1\n" unless $loaded;}

use NEdit::Config qw(read_config format_config %DEFAULT_CONFIG);

$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# the tests below are rather simple, maybe they should be extended,
# but the parsing of configuration files is not that complicated

# Tie::IxHash is already 'use'd in the module
tie my %config, "Tie::IxHash";
if (%config = read_config("$ENV{HOME}/.nedit")) {print "ok 2\n"}
else {print "not ok 2\n"}

if (keys %{$config{'shellCommands'}}) {print "ok 3\n"}
else {print "not ok 3\n"}

if (keys %{$config{'macroCommands'}}) {print "ok 4\n"}
else {print "not ok 4\n"}

if (keys %{$config{'bgMenuCommands'}}) {print "ok 5\n"}
else {print "not ok 5\n"}

if (keys %{$config{'highlightPatterns'}}) {print "ok 6\n"}
else {print "not ok 6\n"}

if (keys %{$config{'languageModes'}}) {print "ok 7\n"}
else {print "not ok 7\n"}

if (keys %{$config{'styles'}}) {print "ok 8\n"}
else {print "not ok 8\n"}

if (keys %{$config{'smartIndentInit'}}) {print "ok 9\n"}
else {print "not ok 9\n"}

if (@{$config{'smartIndentInitCommon'}}) {print "ok 10\n"}
else {print "not ok 10\n"}

# all other configuration parameters are scalar
#open STDOUT, "> /dev/null";
#print STDOUT format_config(\%DEFAULT_CONFIG);


